@import 'scss/utils/vars.scss';
@import 'scss/utils/font-template.scss';

.range {
  @extend %label-text;
  position: relative;
  width: 100%;
  height: fit-content;

  &__data {
    position: absolute;
    top: 1px;
    right: 0;
    display: inline-block;
    height: 15px;
    margin-top: 0;
    margin-bottom: 1.5px;
    padding-right: 0;
    padding-bottom: 5px; 
    border: none;
    outline: none;
    letter-spacing: .003em;
    font-weight: 400;
    font-size: $fontSizeLabel;
    font-family: $fontMain;
    color: $dark-shade-50;
    text-align: right;
    background: transparent;
    pointer-events: none;
  }

  &__text {
    margin: 10px 0 0;
    letter-spacing: .0001em;
    font-size: $fontSizeLabel;
    font-weight: 400;
    color: $dark-shade-50;
    text-transform: none;

    @media (min-width: $widthSmPhone) {
      text-align: center;
    }
  }
}

:global {
  .rc-slider {
    margin-top: 18px;

    &-rail {
      height: 6px;
      border: 1px solid $dark-shade-25;
      border-radius: 3px;
      background: transparent;
      cursor: pointer;
    }

    &-track {
      height: 6px;
      background: $gradientSecondary;
    }

    &-handle {
      width: 16px;
      height: 16px;
      background: $gradientSecondary;
      border-radius: 10px;
      border: 2px solid $colorBackground;
      opacity: 1;
    }
  }
}
